Page MenuHomePhabricator

Package libvmod-re2
Closed, ResolvedPublic

Description

As mentioned in T164609, libvmod-re2 provides the functionality required to efficiently match the value of the Host request header with a long list of hostnames. Such functionality is required to choose which VCL to load (text vs misc) depending on the incoming host header.

We should package libvmod-re2 and upload it to apt.wikimedia.org.

Initial observations:

  • libvmod-re2 supports multiple varnish versions, we need to use the 5.1 branch
  • The library depends on libre2-dev, which does not ship a pkg-config metadata file (Debian bug filed). We'll likely need to set RE2_LIBS and RE2_CFLAGS manually
  • varnishtest is needed to automatically run the post-build checks, we'll need to add varnish to the list of build-dependencies

Event Timeline

ema created this task.Jun 4 2018, 11:32 AM
ema triaged this task as Normal priority.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 4 2018, 11:32 AM
ema moved this task from Triage to Caching on the Traffic board.Jun 4 2018, 11:33 AM

Change 437268 had a related patch set uploaded (by Ema; owner: Ema):
[operations/software/varnish/libvmod-re2@debian] Initial debianization

https://gerrit.wikimedia.org/r/437268

Change 437270 had a related patch set uploaded (by Ema; owner: Ema):
[integration/config@master] Enable debian-glue for libvmod-re2

https://gerrit.wikimedia.org/r/437270

Change 437270 merged by jenkins-bot:
[integration/config@master] Enable debian-glue for libvmod-re2

https://gerrit.wikimedia.org/r/437270

Change 437268 merged by Ema:
[operations/software/varnish/libvmod-re2@debian] Initial debianization

https://gerrit.wikimedia.org/r/437268

Mentioned in SAL (#wikimedia-operations) [2018-06-05T08:16:13Z] <ema> libvmod-re2 1.3.1-1 uploaded to apt.w.o T196355

ema closed this task as Resolved.Jun 11 2018, 8:50 AM
ema claimed this task.

libvmod-re2 is now available on apt.w.o, closing.

Vvjjkkii renamed this task from Package libvmod-re2 to 0obaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed ema as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
elukey renamed this task from 0obaaaaaaa to Package libvmod-re2.Jul 2 2018, 6:21 AM
elukey closed this task as Resolved.
elukey assigned this task to ema.
elukey updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.Jul 5 2018, 6:57 PM